package net.minecraft.world.effect;

import net.minecraft.world.entity.ai.attributes.AttributeMap;
import net.minecraft.world.entity.LivingEntity;

public class HealthBoostMobEffect extends MobEffect {
    public HealthBoostMobEffect(final MobEffectCategory aof, final int integer) {
        super(aof, integer);
    }
    
    @Override
    public void removeAttributeModifiers(final LivingEntity aoy, final AttributeMap apu, final int integer) {
        super.removeAttributeModifiers(aoy, apu, integer);
        if (aoy.getHealth() > aoy.getMaxHealth()) {
            aoy.setHealth(aoy.getMaxHealth());
        }
    }
}
